/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.apply.operationSiteApply.mapper;

import org.springblade.modules.apply.operationSiteApply.pojo.dto.OperationSiteApplyDTO;
import org.springblade.modules.apply.operationSiteApply.pojo.entity.OperationSiteApplyEntity;
import org.springblade.modules.apply.operationSiteApply.pojo.vo.OperationSiteApplyVO;
import org.springblade.modules.apply.operationSiteApply.excel.OperationSiteApplyExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 运维商准入申请表 Mapper 接口
 *
 * @author lzp
 * @since 2024-08-09
 */
public interface OperationSiteApplyMapper extends BaseMapper<OperationSiteApplyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param req
	 * @return
	 */
	List<OperationSiteApplyVO> selectOperationSiteApplyPage(IPage page, @Param("req") OperationSiteApplyDTO req);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationSiteApplyExcel> exportOperationSiteApply(@Param("ew") Wrapper<OperationSiteApplyEntity> queryWrapper);

	Long findApplyLoginName(String loginName,String id);

}
