/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.apply.operationSiteApply.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 运维商准入申请表 实体类
 *
 * @author lzp
 * @since 2024-08-09
 */
@Data
@TableName("sf_operation_site_apply")
@Schema(description = "OperationSiteApply对象")
public class OperationSiteApplyEntity implements Serializable {

	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 登录账号
	 */
	@Schema(description = "登录账号")
	private String loginName;
	/**
	 * 登录密码
	 */
	@Schema(description = "登录密码")
	private String password;
	/**
	 * 运维商名称
	 */
	@Schema(description = "运维商名称")
	private String name;
	/**
	 * 联系人
	 */
	@Schema(description = "联系人")
	private String contacts;
	/**
	 * 省
	 */
	@Schema(description = "省")
	private String province;
	/**
	 * 市
	 */
	@Schema(description = "市")
	private String city;
	/**
	 * 区县
	 */
	@Schema(description = "区县")
	private String area;

	@Schema(description = "省代码", requiredMode = Schema.RequiredMode.REQUIRED)
	private String provinceCode;
	@Schema(description = "市代码", requiredMode = Schema.RequiredMode.REQUIRED)
	private String cityCode;
	@Schema(description = "区县代码", requiredMode = Schema.RequiredMode.REQUIRED)
	private String areaCode;
	/**
	 * 详细地址
	 */
	@Schema(description = "详细地址")
	private String address;
	/**
	 * 业务联系电话
	 */
	@Schema(description = "业务联系电话")
	private String mobile;
	/**
	 * 相关资质图片地址
	 */
	@Schema(description = "相关资质图片地址")
	private String licenseImg;
	/**
	 * 结算方式 1.单次结算 2.包月结算
	 */
	@Schema(description = "结算方式 1.单次结算 2.包月结算")
	private String setType;
	/**
	 * 保证金金额
	 */
	@Schema(description = "保证金金额")
	private BigDecimal earnestMoney;
	/**
	 * 缴纳保证金 1.是 2.否 默认否
	 */
	@Schema(description = "缴纳保证金 1.是 2.否 默认否")
	private String payTheDeposit;
	/**
	 * 	运维状态 (0：正常 1：删除；3.禁用)
	 */
	@Schema(description = "	运维状态 (0：正常 1：删除；3.禁用)")
	private String siteStatus;

	/**
	 * 	状态 状态 0.暂存 1.审核中 2.驳回 3.正常 4 取消
	 */
	@Schema(description = "	状态 0.暂存 1.审核中 2.驳回 3.正常 4 取消")
	private String status;
	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remarks;
	/**
	 * 创建人user_id
	 */
	@Schema(description = "创建人user_id")
	private String createBy;
	@Schema(description = "创建时间")
	private Date createTime;
	/**
	 * 创建人姓名
	 */
	@Schema(description = "创建人姓名")
	private String creator;
	/**
	 * 创建人user_id
	 */
	@Schema(description = "创建人user_id")
	private String updateBy;
	/**
	 * 更新人姓名
	 */
	@Schema(description = "更新人姓名")
	private String updater;
	/**
	 * 流程实例id
	 */
	@Schema(description = "流程实例id")
	private String processInstanceId;
	/**
	 * 部门id
	 */
	@Schema(description = "部门id")
	private String departmentId;
	/**
	 * 部门名称
	 */
	@Schema(description = "部门名称")
	private String departmentName;
	/**
	 *
	 */
	@Schema(description = "")
	private String taskId;
	/**
	 *
	 */
	@Schema(description = "")
	private String taskName;
	/**
	 * 审核备注
	 */
	@Schema(description = "审核备注")
	private String content;
	/**
	 * 流程设置的id
	 */
	@Schema(description = "流程设置的id")
	private String processDefId;
	/**
	 * 操作审批人的id
	 */
	@Schema(description = "操作审批人的id")
	private String operateUserIds;
	/**
	 * 供应商id
	 */
	@Schema(description = "运维商id")
	private String siteId;
	/**
	 * 审核备注
	 */
	@Schema(description = "审核备注")
	private String examineOpinion;

}
