/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 工单备件使用表 Excel实体类
 *
 * @author BladeX
 * @since 2024-08-27
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class OperationOrderMaterialExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 服务商id
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务商id")
	private String siteId;
	/**
	 * 关联工单id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联工单id")
	private String orderId;
	/**
	 * 物料归属 1物料甲供 2自备物料
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料归属 1物料甲供 2自备物料")
	private String materialFrom;
	/**
	 * 物料id
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料类型")
	private String materialType;
	/**
	 * 物料规格
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料规格")
	private String materialSpec;
	/**
	 * 使用数量
	 */
	@ColumnWidth(20)
	@ExcelProperty("使用数量")
	private Integer userAmount;
	/**
	 * 添加人userId
	 */
	@ColumnWidth(20)
	@ExcelProperty("添加人userId")
	private String createBy;
	/**
	 * 添加人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("添加人姓名")
	private String createName;
	/**
	 * 修改人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("修改人姓名")
	private String updateName;

}
