/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.mapper;

import org.springblade.modules.fitting.pojo.dto.BhMaterialDTO;
import org.springblade.modules.fitting.pojo.dto.ApplyDto;
import org.springblade.modules.fitting.pojo.entity.PlatformFittingApplyEntity;
import org.springblade.modules.fitting.pojo.vo.*;
import org.springblade.modules.fitting.excel.PlatformFittingApplyExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 服务商向平台备件申请领用记录表 Mapper 接口
 *
 * @author lzp
 * @since 2024-08-24
 */
public interface PlatformFittingApplyMapper extends BaseMapper<PlatformFittingApplyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param apply
	 * @return
	 */
	List<PlatformFittingApplyEntity> selectPlatformFittingApplyPage(IPage page, PlatformFittingApplyVO apply);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PlatformFittingApplyExcel> exportPlatformFittingApply(@Param("ew") Wrapper<PlatformFittingApplyEntity> queryWrapper);

	FittingApplyDetailVo getFittingApplyDetailById(@Param("id") String id);

	MaterialStockVo getEmpMaterialStock(@Param("empUserId") String empUserId, @Param("materialId") String materialId);

	MaterialStockVo getOperationStock(@Param("companyId") String companyId,@Param("materialId") String materialId);


	List<String> getMaterialSpecList(@Param("materialType") String materialType);


	List<BhMaterialDTO> getMaterialListByCodeOrName(@Param("vo") ChooseMaterialListVo conditonVo);

	ApplyDto findHomeFittingCount(@Param("applicantId") String applicantId);

	List<OperationOrderMaterialVO> auditFittingMatchingMaterial(@Param("vo")Map<String, Object> params);
}
