/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.fitting.pojo.entity.OperationOrderMaterialEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 工单备件使用表 数据传输对象实体类
 *
 * @author BladeX
 * @since 2024-08-27
 */
@Data
public class OperationOrderMaterialDTO{

	@Schema(description = "物料使用的id/物料申请的id")
	private String id;

	private String orderId;

	@Schema(description = "物料归属 1物料甲供 2自备物料")
	private String materialFrom;

	@Schema(description = "物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@Schema(description = "物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String materialType;
	/**
	 * 物料规格
	 */
	@Schema(description = "物料规格")
	private String materialSpec;
	/**
	 * 使用数量
	 */
	@Schema(description = "使用数量/申请数量")
	private Integer amount;

	@Schema(description = "备件申请的状态：0.待运营商审核 1.待一级审核 2.待二级审核 3.待出库 4.待收件 5.已完成 6.申请已取消 7.审核驳回 默认0")
	private String status;

}
