package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FittingApplyDetailVo {

	@Schema(description =  "备件申请的id")
	private String id;

	@Schema(description =  "工程师姓名")
	private String empName;

	private String applicantId;

	private String fittingId;

	private String siteId;

	@Schema(description =  "运维服务商名称")
	private String siteName;

	@Schema(description =  "电站编码")
	private String powerStationCode;

	@Schema(description =  "工单编号")
	private String orderNumber;

	@Schema(description =  "业主姓名")
	private String customerName;

	@Schema(description = "物料代码")
	private String fittingCode;

	@Schema(description = "物料名称")
	private String fittingName;

	@Schema(description = "物料类型")
	private String fittingVersion;

	@Schema(description = "申请数量")
	private BigDecimal applyNum;

	@Schema(description = "当前库存")
	private Integer currentStock;

	@Schema(description = "是否提交平台申请 1.是 2.否")
	private String isPlatform;

	@Schema(description = "申请类型：1.工程师申请 2.运维商备货申请 ")
	private String applicantType;

	@Schema(description = "申请备注")
	private String applyMarks;

	@Schema(description = "物料规格")
	private String fittingPower;

	@Schema(description = "一级审核备注")
	private String refuseReason;

	@Schema(description = "二级审核备注")
	private String refuseReasonTwo;

	@Schema(description = "运维商审核备注")
	private String factoryMarks;

    private String status;

}
