/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import org.springblade.modules.fitting.pojo.entity.OperationOrderMaterialEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 工单备件使用表 视图实体类
 *
 * @author BladeX
 * @since 2024-08-27
 */
@Data
public class OperationOrderMaterialVO {

	@Schema(description = "物料id")
	private String materialId;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String materialName;
	/**
	 * 物料代码
	 */
	@Schema(description = "物料代码")
	private String materialCode;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String materialType;

	@Schema(description = "物料规格")
	private String materialSpec;

	@Schema(description = "使用数量")
	@NotNull(message = "物料数量不能为空")
	private Integer userAmount;
}
