/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.fitting.pojo.dto.OperationOrderMaterialDTO;
import org.springblade.modules.fitting.pojo.entity.OperationOrderMaterialEntity;
import org.springblade.modules.fitting.pojo.vo.AddOrderFittingUseVo;
import org.springblade.modules.fitting.pojo.vo.OperationOrderMaterialVO;
import org.springblade.modules.fitting.excel.OperationOrderMaterialExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.fitting.pojo.vo.OrderUseFittingDetailVo;
import org.springblade.modules.material.pojo.vo.MaterialEngineerVO;

import java.util.List;
import java.util.Map;

/**
 * 工单备件使用表 服务类
 *
 * @author BladeX
 * @since 2024-08-27
 */
public interface IOperationOrderMaterialService extends IService<OperationOrderMaterialEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param operationOrderMaterial
	 * @return
	 */
	IPage<OperationOrderMaterialVO> selectOperationOrderMaterialPage(IPage<OperationOrderMaterialVO> page, OperationOrderMaterialVO operationOrderMaterial);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationOrderMaterialExcel> exportOperationOrderMaterial(Wrapper<OperationOrderMaterialEntity> queryWrapper);


	List<OperationOrderMaterialDTO> getOrderUserdFitting(String orderId);

	List<OperationOrderMaterialDTO> getOrderApplyFitting(String orderId);

	//删除工单备件使用
	boolean deleteUserFitting(String id);

	//工单备件使用
	boolean orderFittingUse(AddOrderFittingUseVo fittingUseVo);

	//已使用物料列表
	List<OperationOrderMaterialEntity> getEmpUseFittingList(IPage<OperationOrderMaterialEntity> page ,Map<String, String> params);

	OrderUseFittingDetailVo getOrderUseFittingDetail(String id);

	OrderUseFittingDetailVo getOrderCanUseFittingDetail(String materialId,String empUserId);

}
