/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.fitting.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.fitting.pojo.entity.PlatformFittingApplyMsgEntity;
import org.springblade.modules.fitting.pojo.vo.PlatformFittingApplyMsgVO;
import org.springblade.modules.fitting.excel.PlatformFittingApplyMsgExcel;
import org.springblade.modules.fitting.mapper.PlatformFittingApplyMsgMapper;
import org.springblade.modules.fitting.service.IPlatformFittingApplyMsgService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import java.util.Date;
import java.util.List;

/**
 * 平台备件申请领用记录的操作详情表 服务实现类
 *
 * @author lzp
 * @since 2024-08-24
 */
@Service
public class PlatformFittingApplyMsgServiceImpl extends ServiceImpl<PlatformFittingApplyMsgMapper, PlatformFittingApplyMsgEntity> implements IPlatformFittingApplyMsgService {

	@Override
	public IPage<PlatformFittingApplyMsgVO> selectPlatformFittingApplyMsgPage(IPage<PlatformFittingApplyMsgVO> page, PlatformFittingApplyMsgVO platformFittingApplyMsg) {
		return page.setRecords(baseMapper.selectPlatformFittingApplyMsgPage(page, platformFittingApplyMsg));
	}


	@Override
	public List<PlatformFittingApplyMsgExcel> exportPlatformFittingApplyMsg(Wrapper<PlatformFittingApplyMsgEntity> queryWrapper) {
		List<PlatformFittingApplyMsgExcel> platformFittingApplyMsgList = baseMapper.exportPlatformFittingApplyMsg(queryWrapper);
		//platformFittingApplyMsgList.forEach(platformFittingApplyMsg -> {
		//	platformFittingApplyMsg.setTypeName(DictCache.getValue(DictEnum.YES_NO, PlatformFittingApplyMsg.getType()));
		//});
		return platformFittingApplyMsgList;
	}


	public void saveMsg(String applyId,String siteId,String message,String create_name){
		PlatformFittingApplyMsgEntity entity = new PlatformFittingApplyMsgEntity();
		entity.setFittingApplyId(applyId);
		entity.setSiteId(siteId);
		entity.setMessage(message);
		entity.setCreateName(create_name);
		entity.setCreateTime(new Date());
		save(entity);

	}

}
