/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefAuditStepEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefAuditStepVO;
import org.springblade.modules.flowable.processForm.excel.ProcessDefAuditStepExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 流程中的一个审核步骤（或者称为一个任务）。 服务类
 *
 * @author lzp
 * @since 2024-08-02
 */
public interface IProcessDefAuditStepService extends IService<ProcessDefAuditStepEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param processDefAuditStep
	 * @return
	 */
	IPage<ProcessDefAuditStepVO> selectProcessDefAuditStepPage(IPage<ProcessDefAuditStepVO> page, ProcessDefAuditStepVO processDefAuditStep);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ProcessDefAuditStepExcel> exportProcessDefAuditStep(Wrapper<ProcessDefAuditStepEntity> queryWrapper);

}
