/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefSubmitStepEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefSubmitStepVO;
import org.springblade.modules.flowable.processForm.excel.ProcessDefSubmitStepExcel;
import org.springblade.modules.flowable.processForm.mapper.ProcessDefSubmitStepMapper;
import org.springblade.modules.flowable.processForm.service.IProcessDefSubmitStepService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 流程中的提交步骤（或者称为一个任务）。 服务实现类
 *
 * @author lzp
 * @since 2024-08-02
 */
@Service
public class ProcessDefSubmitStepServiceImpl extends ServiceImpl<ProcessDefSubmitStepMapper, ProcessDefSubmitStepEntity> implements IProcessDefSubmitStepService {

	@Override
	public IPage<ProcessDefSubmitStepVO> selectProcessDefSubmitStepPage(IPage<ProcessDefSubmitStepVO> page, ProcessDefSubmitStepVO processDefSubmitStep) {
		return page.setRecords(baseMapper.selectProcessDefSubmitStepPage(page, processDefSubmitStep));
	}


	@Override
	public List<ProcessDefSubmitStepExcel> exportProcessDefSubmitStep(Wrapper<ProcessDefSubmitStepEntity> queryWrapper) {
		List<ProcessDefSubmitStepExcel> processDefSubmitStepList = baseMapper.exportProcessDefSubmitStep(queryWrapper);
		//processDefSubmitStepList.forEach(processDefSubmitStep -> {
		//	processDefSubmitStep.setTypeName(DictCache.getValue(DictEnum.YES_NO, ProcessDefSubmitStep.getType()));
		//});
		return processDefSubmitStepList;
	}


	public ProcessDefSubmitStepEntity fingByFromId(String defId){
		LambdaQueryWrapper<ProcessDefSubmitStepEntity> wrapper = new LambdaQueryWrapper<>();
		wrapper.eq(ProcessDefSubmitStepEntity :: getProcDefId,defId);
		return getOne(wrapper);
	}

}
