/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.flowable.processForm.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.flowable.processForm.pojo.entity.ProcessDefAuditStepEntity;
import org.springblade.modules.flowable.processForm.pojo.vo.ProcessDefAuditStepVO;
import java.util.Objects;

/**
 * 流程中的一个审核步骤（或者称为一个任务）。 包装类,返回视图层所需的字段
 *
 * @author lzp
 * @since 2024-08-02
 */
public class ProcessDefAuditStepWrapper extends BaseEntityWrapper<ProcessDefAuditStepEntity, ProcessDefAuditStepVO>  {

	public static ProcessDefAuditStepWrapper build() {
		return new ProcessDefAuditStepWrapper();
 	}

	@Override
	public ProcessDefAuditStepVO entityVO(ProcessDefAuditStepEntity processDefAuditStep) {
		ProcessDefAuditStepVO processDefAuditStepVO = Objects.requireNonNull(BeanUtil.copyProperties(processDefAuditStep, ProcessDefAuditStepVO.class));

		//User createUser = UserCache.getUser(processDefAuditStep.getCreateUser());
		//User updateUser = UserCache.getUser(processDefAuditStep.getUpdateUser());
		//processDefAuditStepVO.setCreateUserName(createUser.getName());
		//processDefAuditStepVO.setUpdateUserName(updateUser.getName());

		return processDefAuditStepVO;
	}


}
