/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.material.excel;


import lombok.Data;

import java.util.Date;
import java.lang.Double;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 工程师库存明细 Excel实体类
 *
 * @author AlexWang
 * @since 2024-09-04
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MaterialEngineerOutboundExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;




	/**
	 * 运维上名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商名称")
	private String operationName;

	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String engineerName;
	/**
	 * 物料编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料编码")
	private String code;
	/**
	 * 物料名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料名称")
	private String name;
	/**
	 * 物料类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料类型")
	private String type;
	/**
	 * 物料型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料型号")
	private String model;
	/**
	 * 功率(KW)
	 */
	@ColumnWidth(20)
	@ExcelProperty("功率(KW)")
	private String power;
	/**
	 * 物料描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料描述")
	private String description;
	/**
	 * 设备sn码
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备sn码")
	private String brand;
	/**
	 * 设备库存数量
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备库存数量")
	private Integer stock;
	/**
	 * 质保状态（1、在保 0过保）
	 */
	@ColumnWidth(20)
	@ExcelProperty("质保状态（1、在保 0过保）")
	private String unit;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 明细类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("明细类型")
	private String outType;
	/**
	 * 1进  2出
	 */
	@ColumnWidth(20)
	@ExcelProperty("1进  2出")
	private String outDirect;
	/**
	 * 明细数量
	 */
	@ColumnWidth(20)
	@ExcelProperty("明细数量")
	private Integer outCount;
	/**
	 * 出入库总额
	 */
	@ColumnWidth(20)
	@ExcelProperty("出入库总额")
	private Double outAmount;
	/**
	 * 审核人
	 */
	@ColumnWidth(20)
	@ExcelProperty("审核人")
	private Long allowUser;
	/**
	 * 审核时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("审核时间")
	private Date allowTime;
	/**
	 * 关联单号id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联单号id")
	private String applyId;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String remarks;

}
