package org.springblade.modules.material.excel;


import lombok.Data;

import java.lang.Double;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 运维商库存 Excel实体类
 *
 * @author cswang
 * @since 2024-08-25
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MaterialOperationExcel implements Serializable {

	/**
	 * 物料编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商名称")
	private String operationName;

	@ColumnWidth(20)
	@ExcelProperty("物料编码")
	private String code;
	/**
	 * 物料名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料名称")
	private String name;
	/**
	 * 物料类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料类型")
	private String typeStr;
	/**
	 * 物料型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料型号")
	private String model;
	/**
	 * 功率(KW)
	 */
	@ColumnWidth(20)
	@ExcelProperty("规格")
	private String power;

	/**
	 * 零售价
	 */
//	@ColumnWidth(20)
//	@ExcelProperty("成本价")
//	private Double costPrice;

	/**
	 * 零售价
	 */
	@ColumnWidth(20)
	@ExcelProperty("零售价")
	private Double retailPrice;
	/**
	 * 物料描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料描述")
	private String description;

	@ColumnWidth(20)
	@ExcelProperty("物料品牌")
	private String brandStr;

	@ColumnWidth(20)
	@ExcelProperty("物料库存")
	private Integer stock;

}
