/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.material.excel;


import lombok.Data;

import java.lang.Double;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 出库明细 Excel实体类
 *
 * @author cswang
 * @since 2024-08-25
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MaterialOutboundExcel implements Serializable {

	/**
	 * 物料编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商名称")
	private String operationName;

	@ColumnWidth(20)
	@ExcelProperty("物料编码")
	private String code;
	/**
	 * 物料名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料名称")
	private String name;
	/**
	 * 物料类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料类型")
	private String typeStr;
	/**
	 * 物料型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料型号")
	private String model;
	/**
	 * 功率(KW)
	 */
	@ColumnWidth(20)
	@ExcelProperty("规格")
	private String power;

	/**
	 * 零售价
	 */
//	@ColumnWidth(20)
//	@ExcelProperty("成本价")
//	private Double costPrice;

	/**
	 * 零售价
	 */
	@ColumnWidth(20)
	@ExcelProperty("零售价")
	private Double retailPrice;
	/**
	 * 物料描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("物料描述")
	private String description;

	@ColumnWidth(20)
	@ExcelProperty("物料品牌")
	private String brandStr;

	@ColumnWidth(20)
	@ExcelProperty("物料库存")
	private Integer stock;
	/**
	 * 明细类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("明细类型")
	private String outType;
	/**
	 * 明细数量
	 */
	@ColumnWidth(20)
	@ExcelProperty("明细数量")
	private Integer outCount;
	/**
	 * 出入库总额
	 */
	@ColumnWidth(20)
	@ExcelProperty("出入库总额")
	private Double outAmount;
	/**
	 * 审核时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("审核时间")
	private Date allowTime;

}
