/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.material.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import java.lang.Double;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.springblade.core.mp.base.BaseEntity;

import java.io.Serializable;

/**
 * 工程师库存明细 实体类
 *
 * @author AlexWang
 * @since 2024-09-04
 */
@Data
@TableName("sf_material_engineer_outbound")
@Schema(description = "MaterialEngineerOutbound对象")
public class MaterialEngineerOutboundEntity extends BaseEntity {

	/**
	 * 公司物料id
	 */
	@Schema(description = "公司物料id")
	private Long materialId;
	/**
	 * 所属公司
	 */
	@Schema(description = "所属公司")
	private Long companyId;
	/**
	 *
	 */
	@Schema(description = "")
	private String operationId;
	/**
	 * 运维上名称
	 */
	@Schema(description = "运维上名称")
	private String operationName;
	/**
	 *
	 */
	@Schema(description = "")
	private Long engineerId;
	/**
	 *
	 */
	@Schema(description = "")
	private String engineerName;
	/**
	 * 物料编码
	 */
	@Schema(description = "物料编码")
	private String code;
	/**
	 * 物料名称
	 */
	@Schema(description = "物料名称")
	private String name;
	/**
	 * 物料类型
	 */
	@Schema(description = "物料类型")
	private String type;
	/**
	 * 物料型号
	 */
	@Schema(description = "物料型号")
	private String model;
	/**
	 * 功率(KW)
	 */
	@Schema(description = "功率(KW)")
	private String power;
	/**
	 * 物料描述
	 */
	@Schema(description = "物料描述")
	private String description;
	/**
	 * 设备sn码
	 */
	@Schema(description = "设备sn码")
	private String brand;
	/**
	 * 设备库存数量
	 */
	@Schema(description = "设备库存数量")
	private Integer stock;
	/**
	 * 质保状态（1、在保 0过保）
	 */
	@Schema(description = "质保状态（1、在保 0过保）")
	private String unit;
	/**
	 * 明细类型
	 */
	@Schema(description = "明细类型")
	private String outType;
	/**
	 * 1进  2出
	 */
	@Schema(description = "1进  2出")
	private String outDirect;
	/**
	 * 明细数量
	 */
	@Schema(description = "明细数量")
	private Integer outCount;
	/**
	 * 出入库总额
	 */
	@Schema(description = "出入库总额")
	private Double outAmount;
	/**
	 * 审核人
	 */
	@Schema(description = "审核人")
	private Long allowUser;
	/**
	 * 审核时间
	 */
	@Schema(description = "审核时间")
	private Date allowTime;
	/**
	 * 关联单号id
	 */
	@Schema(description = "关联单号id")
	private String applyId;
	/**
	 *
	 */
	@Schema(description = "")
	private String remarks;

}
