package org.springblade.modules.material.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.core.mp.support.Condition;
import org.springblade.modules.material.pojo.entity.MaterialEngineerEntity;
import org.springblade.modules.material.pojo.vo.MaterialEngineerVO;
import org.springblade.modules.material.excel.MaterialEngineerExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import java.util.Map;

/**
 * 工程师库存 服务类
 *
 * @author cswang
 * @since 2024-08-25
 */
public interface IMaterialEngineerService extends BaseService<MaterialEngineerEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param materialEngineer
	 * @return
	 */
	IPage<MaterialEngineerVO> selectMaterialEngineerPage(IPage<MaterialEngineerVO> page, MaterialEngineerVO materialEngineer);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MaterialEngineerExcel> exportMaterialEngineer(Wrapper<MaterialEngineerEntity> queryWrapper);


	List<MaterialEngineerVO> engineerStockList(IPage<MaterialEngineerVO> page,Map<String, Object> params);

	Long  countEngineerStockList(Map<String, Object> params);

	//获取工程师物料库存
	MaterialEngineerEntity getEngineerStock(String engineerUserId,String materialId);

}
