/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.material.service.impl;

import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.material.pojo.entity.MaterialEngineerOutboundEntity;
import org.springblade.modules.material.pojo.entity.MaterialOutboundEntity;
import org.springblade.modules.material.pojo.vo.MaterialEngineerOutboundVO;
import org.springblade.modules.material.excel.MaterialEngineerOutboundExcel;
import org.springblade.modules.material.mapper.MaterialEngineerOutboundMapper;
import org.springblade.modules.material.pojo.vo.MaterialOutboundVO;
import org.springblade.modules.material.service.IMaterialEngineerOutboundService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;

/**
 * 工程师库存明细 服务实现类
 *
 * @author AlexWang
 * @since 2024-09-04
 */
@Service
public class MaterialEngineerOutboundServiceImpl extends BaseServiceImpl<MaterialEngineerOutboundMapper, MaterialEngineerOutboundEntity> implements IMaterialEngineerOutboundService {

	@Override
	public IPage<MaterialOutboundVO> findMaterialOutbound(IPage<MaterialOutboundVO> page, MaterialOutboundVO materialEngineerOutbound){
		return page.setRecords(baseMapper.findMaterialOutbound(page, materialEngineerOutbound));
	}


	@Override
	public List<MaterialEngineerOutboundExcel> exportMaterialEngineerOutbound(Wrapper<MaterialOutboundEntity> queryWrapper) {
		List<MaterialEngineerOutboundExcel> materialEngineerOutboundList = baseMapper.exportMaterialEngineerOutbound(queryWrapper);
		//materialEngineerOutboundList.forEach(materialEngineerOutbound -> {
		//	materialEngineerOutbound.setTypeName(DictCache.getValue(DictEnum.YES_NO, MaterialEngineerOutbound.getType()));
		//});
		return materialEngineerOutboundList;
	}

}
