/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 故障代码 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-06
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class AlarmCodeExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 故障品牌
	 */
	@ColumnWidth(20)
	@ExcelProperty("故障品牌")
	private String brand;
	/**
	 * 故障主代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("故障主代码")
	private String code;
	/**
	 * 子代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("子代码")
	private String subCode;
	/**
	 * 故障内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("故障内容")
	private String content;
	/**
	 * 处理建议
	 */
	@ColumnWidth(20)
	@ExcelProperty("处理建议")
	private String suggestion;
	/**
	 * 故障等级
	 */
	@ColumnWidth(20)
	@ExcelProperty("故障等级")
	private Integer level;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
