/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 设备告警信息表 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-03
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class AlarmInfoExcel implements Serializable {
	@ExcelIgnore
	private String outStationId;
	/**
	 * 资方名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("资方名称")
	private String capitalName;

	@ColumnWidth(20)
	@ExcelProperty("业主名称")
	private String ownerName;

	@ColumnWidth(20)
	@ExcelProperty("电站编码")
	private String stationCode;
	/**
	 * 设备序列号
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备SN")
	private String sn;
//	/**
//	 * 电站名称:业主姓名+安装容量+电站编码
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("电站名称")
//	private String stationName;
	/**
	 * 告警类型:1故障、2告警、3提示、4建议 level
	 */
	@ColumnWidth(20)
	@ExcelProperty("告警类型")
	private String type;
	/**
	 * 故障来源:0.锦浪
	 */
	@ColumnWidth(20)
	@ExcelProperty("设备品牌")
	private String source;
	/**
	 * 告警名称(故障信息)
	 */
	@ColumnWidth(20)
	@ExcelProperty("告警名称")
	private String alarmName;
	/**
	 * 告警时间（告警开始时间）
	 */
	@ColumnWidth(20)
	@ExcelProperty("告警时间")
	private String startTimeStr;
	/**
	 * 修复建议
	 */
	@ColumnWidth(20)
	@ExcelProperty("修复建议")
	private String suggestion;

	@ColumnWidth(20)
	@ExcelProperty("处理状态")
	private String statusStr;

	@ColumnWidth(20)
	@ExcelProperty("关闭状态")
	private String closeStr;

	@ColumnWidth(20)
	@ExcelProperty("运维单号")
	private String orderNumber;

	@ColumnWidth(20)
	@ExcelProperty("运维服务商")
	private String omProviderName;
}
