/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import lombok.Data;

import java.util.Date;
import java.lang.Double;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 逆变器电流电压功率数据 Excel实体类
 *
 * @author AlexWang
 * @since 2024-11-21
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class InverterUapExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 逆变器sn
	 */
	@ColumnWidth(20)
	@ExcelProperty("逆变器sn")
	private String sn;
	/**
	 * 外部逆变器id
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部逆变器id")
	private String outInverterId;
	/**
	 * 外部电站id
	 */
	@ColumnWidth(20)
	@ExcelProperty("外部电站id")
	private String outStationId;
	/**
	 * 0：锦狼，1.aiswei 2.goodwe
	 */
	@ColumnWidth(20)
	@ExcelProperty("0：锦狼，1.aiswei 2.goodwe")
	private String sysType;
	/**
	 * 1直流  2交流
	 */
	@ColumnWidth(20)
	@ExcelProperty("1直流  2交流")
	private String type;
	/**
	 * 统计时间，一个小时一条,格式：2024-10-10 12:00:00
	 */
	@ColumnWidth(20)
	@ExcelProperty("统计时间，一个小时一条,格式：2024-10-10 12:00:00")
	private Date stateTime;
	/**
	 * 电压
	 */
	@ColumnWidth(20)
	@ExcelProperty("电压")
	private Double uv1;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv2;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv3;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv4;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv5;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv6;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv7;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv8;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv9;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv10;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv11;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv12;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv13;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv14;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv15;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double uv16;
	/**
	 * 电流
	 */
	@ColumnWidth(20)
	@ExcelProperty("电流")
	private Double ia1;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia2;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia3;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia4;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia5;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia6;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia7;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia8;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia9;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia10;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia11;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia12;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia13;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia14;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia15;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double ia16;
	/**
	 * 功率
	 */
	@ColumnWidth(20)
	@ExcelProperty("功率")
	private Double p1;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p2;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p3;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p4;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p5;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p6;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p7;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p8;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p9;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p10;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p11;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p12;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p13;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p14;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p15;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Double p16;

}
