/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 电站 Excel实体类
 *
 * @author AlexWang
 * @since 2024-05-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PowerStationImport {

	/**
	 * 电站编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站编号")
	private String stationCode;
	@ColumnWidth(20)
	@ExcelProperty("项目公司")
	private String projectCompanyName;

	@ColumnWidth(20)
	@ExcelProperty("安装方式")
	private String installType;

	@ColumnWidth(20)
	@ExcelProperty("代理商")
	private String agentName;

	/**
	 * 运维服务商名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维商")
	private String omProviderName;
	/**
	 * 业主名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("业主名称")
	private String ownerName;
	/**
	 * 业主电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系方式")
	private String ownerPhone;

	@ColumnWidth(16)
	@ExcelProperty("省")
	private String province;

	@ColumnWidth(16)
	@ExcelProperty("市")
	private String city;

	@ColumnWidth(16)
	@ExcelProperty("区")
	private String district;

	/**
	 * 详细地址
	 */
	@ColumnWidth(30)
	@ExcelProperty("详细地址")
	private String address;
	/**
	 * 品牌
	 */
	@ExcelProperty("逆变器品牌")
	private String brand;


	@ColumnWidth(20)
	@ExcelProperty("逆变器SN")
	private String nbqsn;

	@ColumnWidth(20)
	@ExcelProperty("通讯棒SN")
	private String sn;
	/**
	 * 并网容量
	 */
	@ExcelProperty("并网容量")
	private BigDecimal actualCapacity;
	@ColumnWidth(20)
	@ExcelProperty("首日发电时间")
	private Date startGenDate;
	/**
	 * 进件序号
	 */
	@ColumnWidth(20)
	@ExcelProperty("进件序号")
	private String applyNo;

	@ColumnWidth(20)
	@ExcelProperty("资方")
	private String capitalName;




}
