package org.springblade.modules.nh.excel;


import com.alibaba.excel.annotation.ExcelIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.lang.Double;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 低效电站 Excel实体类
 *
 * @author AlexWang
 * @since 2024-06-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PowerStationInefficientExcel{

	@ExcelIgnore
	private Long stationId;
	/**
	 * 资方名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("资方名称")
	private String capitalName;
	/**
	 * 电站编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站编码")
	private String stationCode;
	@ColumnWidth(20)
	@ExcelProperty("工单编号")
	private String orderNumber;
	/**
	 * 电站名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("电站名称")
	private String stationName;

	@ColumnWidth(20)
	@ExcelProperty("安装方式")
	private String installType;;
//	/**
//	 * 资方编码
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("资方编码")
//	private String capitalCode;

	/**
	 * 当月发电小时
	 */
	@ColumnWidth(20)
	@ExcelProperty("周发电小时(h)")
	private Double mgHour;

	@ColumnWidth(20)
	@ExcelProperty("周平均发电小时(h)")
	private Double avgHour;
	/**
	 * 保发小时数
	 */
	@ColumnWidth(20)
	@ExcelProperty("保发小时(h)")
	private Double guardHour;
	/**
	 * 保发比率
	 */
	@ColumnWidth(20)
	@ExcelProperty("保发比率")
	private Double guardRate;
	/**
	 * 全年完成率
	 */
	@ColumnWidth(20)
	@ExcelProperty("全年完成率")
	private Double finishRate;
	/**
	 * 安装容量
	 */
	@ColumnWidth(20)
	@ExcelProperty("安装容量(KW）")
	private Double capacity;
	/**
	 * 当月电量
	 */
	@ColumnWidth(20)
	@ExcelProperty("当月电量(KWh）")
	private Double otm;
	/**
	 * 业主名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("业主名称")
	private String ownerName;
//	/**
//	 * 业主电话
//	 */

	/**
	 * 安装地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("安装地址")
	private String installAddress;

	@ColumnWidth(20)
	@ExcelProperty("统计时间")
	private String start_and;
	/**
	 * 运维服务商
	 */
	@ColumnWidth(20)
	@ExcelProperty("运维服务商")
	private String omProviderName;
//	/**
//	 * 转运维时间
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("转运维时间")
//	private Date transferTime;

}
