package org.springblade.modules.nh.factory.ginlong.dto.alarmlist;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class GetAlarmListR {

    /**
     * 电站id
     */
    private String stationId;
    /**
     * 电站名称
     */
    private String stationName;
    /**
     * 逆变器SN
     */
    private String alarmDeviceSn;
    /**
     * 报警代码
     */
    private String alarmCode;
    /**
     * 报警类型
     */
    private Integer alarmType;
    /**
     * 报警等级:
     * 1 = 提示,2 = 一般,3 = 紧急
     */
    private String alarmLevel;
    /**
     * 报警开始时间
     */
    private Long alarmBeginTime;
    /**
     * 报警结束时间
     */
    private Long alarmEndTime;
    /**
     * 报警内容
     */
    private String alarmMsg;
    /**
     * 报警状态:
     * 0 = 未处理,1 = 已处理,2 = 已恢复
     */
    private String state;
    /**
     * 子报警代码
     */
    private String warningInfoData;
    /**
     * 处理建议
     */
    private String advice;

    /**
     * 示例值："GCI-33K-5G",
     */
    private String machine;
    /**
     * 示例值："d2",
     */
    private String model;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    public Date getAlarmBeginTimeStr() {
        return new Date(alarmBeginTime);
    }
}
