package org.springblade.modules.nh.factory.goodwe.dto.querypowerstationmonitor;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * powerstation_id string 电站 id
 * stationname string 电站名称
 * location String 电站位置
 * adcode string 区域代码
 * status int 电站状态(-1:离线 0:待机 1:
 * 正常 2:停机 -2:无设备)
 * pac double 功率(w)
 * capacity double 容量(kw)
 * longitude string 经度
 * latitude string 纬度
 * eday double 今日发电量(kWh)
 * etotal double 累计发电量(kWh)
 * powerstation_type string 电站类型
 * pac_kw double 单 kw 功率
 * to_hour double 日等效小时数
 */
@Data
public class QueryPowerStationMonitorR {

    @JsonProperty("powerstation_id")
    private String powerstationId;
    private String stationname;
    private String location;
    private String adcode;
    private Integer status;
    private Double pac;
    private Double capacity;
    private String longitude;
    private String latitude;
    @JsonProperty("eday")
    private Double eday;
    @JsonProperty("etotal")
    private Double etotal;
    @JsonProperty("powerstation_type")
    private String powerstationType;
    @JsonProperty("pac_kw")
    private Double pacKw;
    @JsonProperty("to_hour")
    private Double toHour;

}
