package org.springblade.modules.nh.factory.goodwe.dto.querypowerstationmonitor;

import com.google.gson.annotations.SerializedName;
import org.springblade.modules.nh.factory.goodwe.dto.GoodweApiReq;
import lombok.Data;

@Data
public class QueryPowerStationMonitorReq extends GoodweApiReq {

    /**
     * 电站名称或 sn 编码
     */
    private String key;
    /**
     * 排序规则入升序:xxxx
     * desc;
     * 降序:xxx
     * 否
     * capacity:容量
     * pac_kw:单 kw 功率
     * to_hour:等效小时
     * eday:今日发电量
     * etotal:累计发电量
     * 目前只提供这 5 类排序
     * 不填默认 按照电站名称升序
     */
    private String orderby;
    /**
     * 电站状态(“” or null:全部,-1:离线
     * 0:待机 1:发电中 2:停机 -2:
     * 无设备),不填代表全部
     */
    @SerializedName("powerstation_status")
    private String powerstationStatus;
    @SerializedName("page_index")
    private Integer pageIndex;
    @SerializedName("page_size")
    private Integer pageSize;
    /**
     * 区域编码 否
     */
    private String adcode;
    /**
     * 0:根据电站查询 1:根据 sn 查询，非必填
     */
    private String condition;

}
