/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.mapper;

import org.springblade.modules.nh.pojo.dto.sync.InverterIdMap;
import org.springblade.modules.nh.pojo.entity.MonitorInverterStatEntity;
import org.springblade.modules.nh.pojo.vo.HomeOverviewVO;
import org.springblade.modules.nh.pojo.vo.MonitorInverterStatVO;
import org.springblade.modules.nh.excel.MonitorInverterStatExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 厂家逆变器表 Mapper 接口
 *
 * @author AlexWang
 * @since 2024-06-02
 */
public interface MonitorInverterStatMapper extends BaseMapper<MonitorInverterStatEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorInverterStat
	 * @return
	 */
	List<MonitorInverterStatVO> selectMonitorInverterStatPage(IPage page, MonitorInverterStatVO monitorInverterStat);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MonitorInverterStatExcel> exportMonitorInverterStat(@Param("ew") Wrapper<MonitorInverterStatEntity> queryWrapper);

	List<InverterIdMap> findByInverterIds(@Param("inverterIds") List<String> inverterIds);

	List<MonitorInverterStatEntity> getInverterBySns(@Param("sns") List<String> sn, @Param("sysType") String sysType);

	List<String> getInverterSns(String sysType);
	List<String> getInverterSnsByIndex(@Param("sysType")String sysType,@Param("index")int index);

	HomeOverviewVO staticsHomeViewData(@Param("outStationIds") List<String> outStationIds);
}
