/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.mapper;

import org.springblade.modules.nh.pojo.dto.PowerStationDTO;
import org.springblade.modules.nh.pojo.dto.StationDTO;
import org.springblade.modules.nh.pojo.entity.PowerStationEntity;
import org.springblade.modules.nh.pojo.vo.PowerStationVO;
import org.springblade.modules.nh.excel.PowerStationExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.nh.pojo.vo.StaticsStatusVO;

import java.util.List;
import java.util.Map;

/**
 * 电站 Mapper 接口
 *
 * @author AlexWang
 * @since 2024-05-31
 */
public interface PowerStationMapper extends BaseMapper<PowerStationEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param powerStation
	 * @return
	 */
	List<PowerStationVO> selectPowerStationPage(IPage page, @Param("e") StationDTO powerStation);

	List<PowerStationVO> selectPowerStationListEx( @Param("e") StationDTO powerStation);


	List<PowerStationVO> selectPowerStationList(IPage page,  @Param("e") StationDTO powerStation);

	PowerStationEntity getStationDetailByPowCode(String powCode);

	List<PowerStationDTO> getStationListByPowCode(String powCode,String siteId);
	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PowerStationExcel> exportPowerStation(@Param("ew") Wrapper<PowerStationEntity> queryWrapper);

	List<StaticsStatusVO> staticsStatus(@Param("e")StationDTO powerStation);

	List<String> getOutStationIds();

	List<PowerStationVO> groupProjectCompany();

	List<StaticsStatusVO> getStatusByProvince(@Param("omProviderId") String omProviderId);

	void updatePowerStationBrand();

	List<PowerStationEntity> findMyPowerStation(IPage page,String empId,String siteId,String condition);

	List<StationDTO> getSelectPowerStaion(@Param("map") Map<String,Object> map);

	void updateStatusByOutIds(@Param("outStationIds")List<String> outIds,@Param("status")int status);
}
