package org.springblade.modules.nh.pojo.dto.sync;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
public class InverterRealtimeData {

    /**
     * 今日发电量 kwh
     */
    @JsonProperty("eDay")
    private Double eDay;
    /**
     * kwh
     * 总发电量
     */
    @JsonProperty("eTotal")
    private Double eTotal;

    /**
     * 交流输出功率(W，不是KW)
     */
    private Double pac;
    /**
     * pac, unit kw
     */
    private Double pacKw;
    /**
     * 直流功率,unit: va
     */
    private Double dc;
    /**
     * 装机功率，单位 W
     */
    private Double capacity;
    /**
     * 装机功率，单位 kw
     */
    private Double capacityKw;
    /**
     * 数据采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date syncTime;
    private String sn;
    private Double fullHour;

}
