/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.lang.Double;
import java.lang.Boolean;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import java.io.Serializable;

/**
 * 外部电站同步 实体类
 *
 * @author AlexWang
 * @since 2024-06-01
 */
@Data
@TableName("nh_monitor_entry_stat")
@Schema(description = "MonitorEntryStat对象")
public class MonitorEntryStatEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 外部系统电站id
	 */
	@Schema(description = "外部系统电站id")
	private String outStationId;
	/**
	 * 系统电站id
	 */
	@Schema(description = "系统电站id")
	private Long stationId;
	/**
	 * 电站名称
	 */
	@Schema(description = "电站名称")
	private String stationName;
	/**
	 * 装机容量kWp
	 */
	@Schema(description = "装机容量kWp")
	private Double capacity;
	/**
	 * 功率
	 */
	@Schema(description = "功率")
	private Double power;
	/**
	 * 0.锦浪 1，爱士惟，2：goodwe，3：古瑞瓦特
	 */
	@Schema(description = "0.锦浪 1，爱士惟，2：goodwe，3：古瑞瓦特")
	private String type;
	/**
	 * 当日能量kw
	 */
	@Schema(description = "当日能量kw")
	private Double etd;
	/**
	 * 当月能量kw
	 */
	@Schema(description = "当月能量kw")
	private Double etm;
	/**
	 * 当年能量kw
	 */
	@Schema(description = "当年能量kw")
	private Double ety;
	/**
	 * 总能量kw
	 */
	@Schema(description = "总能量kw")
	private Double eta;
	/**
	 * 满发小时数(应该是当天的满发小时数)
	 */
	@Schema(description = "满发小时数(应该是当天的满发小时数)")
	private Double fullHour;
	/**
	 * 电站状态:1 = 在线,2 = 离线,3 = 报警
	 */
	@Schema(description = "电站状态:1 = 在线,2 = 离线,3 = 报警")
	private Integer state;
	/**
	 * 同步采集时间，并非当前时间，可能是之前的时间
	 */
	@Schema(description = "同步采集时间，并非当前时间，可能是之前的时间")
	private Date syncTime;

	/**
	 * 创建时间
	 */
	@Schema(description = "创建时间")
	private Date createTime;

	/**
	 * 更新时间
	 */
	@Schema(description = "更新时间")
	private Date updateTime;

	/**
	 * 首次发电时间
	 */
	private Date fisGenerateTime;

	private Integer vendorIndex;
}
