/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 电站能量按年统计 实体类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
@Data
@TableName("nh_monitor_entry_year_stat")
@Schema(description = "MonitorEntryYearStat对象")
public class MonitorEntryYearStatEntity implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 同步采集时间
	 */
	@Schema(description = "同步采集时间")
	private Date syncTime;

	private Date createTime;
	private Date updateTime;
	/**
	 * 0.锦浪 1，艾士唯，2：goodwe
	 */
	@Schema(description = "0.锦浪 1，艾士唯，2：goodwe")
	private String sysType;
	/**
	 * 外部电站id
	 */
	@Schema(description = "外部电站id")
	private String outStationId;
	/**
	 * 年
	 */
	@Schema(description = "年")
	private Integer year;
	/**
	 * 月
	 */
	@Schema(description = "月")
	private Integer month;
	/**
	 * 能量kw
	 */
	@Schema(description = "能量kw")
	private Double energy;
	/**
	 *
	 */
	@Schema(description = "")
	private Long stationId;

}
