package org.springblade.modules.nh.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;
import java.lang.Double;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.springblade.core.mp.base.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * 低效电站 实体类
 *
 * @author AlexWang
 * @since 2024-06-14
 */
@Data
@TableName("nh_power_station_inefficient")
@Schema(description = "PowerStationInefficient对象")
public class PowerStationInefficientEntity extends BaseEntity {

	/**
	 * 外部电站id
	 */
	@Schema(description = "外部电站id")
	private String outStationId;
	/**
	 * 电站id
	 */
	@Schema(description = "电站id")
	private Long stationId;
	/**
	 * 电站编码
	 */
	@Schema(description = "电站编码")
	private String stationCode;
	/**
	 * 电站名称
	 */
	@Schema(description = "电站名称")
	private String stationName;
	/**
	 * 资方编码
	 */
	@Schema(description = "资方编码")
	private String capitalCode;
	/**
	 * 资方名称
	 */
	@Schema(description = "资方名称")
	private String capitalName;
	/**
	 * 安装方式
	 */
	@Schema(description = "安装方式")
	private String installType;
	/**
	 * 当月发电小时
	 */
	@Schema(description = "发电小时")
	private Double mgHour;

	/**
	 * 当月发电小时
	 */
	@Schema(description = "平均发电小时")
	private Double avgHour;

	/**
	 * 保发小时数
	 */
	@Schema(description = "保发小时数")
	private Double guardHour;
	/**
	 * 保发比率
	 */
	@Schema(description = "保发比率")
	private Double guardRate;
	/**
	 * 全年完成率
	 */
	@Schema(description = "全年完成率")
	private Double finishRate;
	/**
	 * 安装容量
	 */
	@Schema(description = "安装容量")
	private Double capacity;
	/**
	 * 当月电量
	 */
	@Schema(description = "当月电量")
	private Double otm;
	/**
	 * 业主id
	 */
	@Schema(description = "业主id")
	private String ownerId;
	/**
	 * 业主名称
	 */
	@Schema(description = "业主名称")
	private String ownerName;
	/**
	 * 业主电话
	 */
	@Schema(description = "业主电话")
	private String ownerPhone;
	/**
	 * 安装地址
	 */
	@Schema(description = "安装地址")
	private String installAddress;
	/**
	 * 运维服务商
	 */
	@Schema(description = "运维服务商")
	private String omProviderName;
	/**
	 * 运维服务商id
	 */
	@Schema(description = "运维服务商id")
	private String omProviderId;
	/**
	 * 转运维时间
	 */
	@Schema(description = "转运维时间")
	private Date transferTime;

	@DateTimeFormat(
		pattern = "yyyy-MM-dd"
	)
	@JsonFormat(
		pattern = "yyyy-MM-dd"
	)
	@Schema(description = "统计时间-开始时间")
	private Date start;
	@DateTimeFormat(
		pattern = "yyyy-MM-dd"
	)
	@JsonFormat(
		pattern = "yyyy-MM-dd"
	)
	@Schema(description = "统计时间-结束时间")
	private Date end;

	/**
	 * 备注信息
	 */
	@Schema(description = "备注信息")
	private String remarks;
	/**
	 * 是否确认低效
	 */
	@Schema(description = "是否确认低效 0未确认  1已确认  2确认非低效")
	private String isConfirm;
	@Schema(description = "工单编号")
	private String orderNumber;
}
