package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.nh.pojo.entity.InefficientSettingEntity;
import org.springblade.modules.nh.pojo.entity.PowerStationEntity;
import org.springblade.modules.nh.pojo.vo.InefficientSettingVO;
import org.springblade.modules.nh.excel.InefficientSettingExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.system.excel.UserExcel;

import java.util.List;

/**
 * 低效电站设置 服务类
 *
 * @author AlexWang
 * @since 2024-06-14
 */
public interface IInefficientSettingService extends BaseService<InefficientSettingEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inefficientSetting
	 * @return
	 */
	IPage<InefficientSettingVO> selectInefficientSettingPage(IPage<InefficientSettingVO> page, InefficientSettingVO inefficientSetting);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<InefficientSettingExcel> exportInefficientSetting(Wrapper<InefficientSettingEntity> queryWrapper);


	void importSetting(List<InefficientSettingExcel> data, Boolean isCovered);

	InefficientSettingEntity getSettingByStation(PowerStationEntity stationEntity);
}
