/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.nh.pojo.dto.sync.MonthEnergyDTO;
import org.springblade.modules.nh.pojo.entity.MonitorEntryStatEntity;
import org.springblade.modules.nh.pojo.entity.MonitorEntryYearStatEntity;
import org.springblade.modules.nh.pojo.vo.MonitorEntryYearStatVO;
import org.springblade.modules.nh.excel.MonitorEntryYearStatExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 电站能量按年统计 服务类
 *
 * @author AlexWang
 * @since 2024-06-02
 */
public interface IMonitorEntryYearStatService extends IService<MonitorEntryYearStatEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param monitorEntryYearStat
	 * @return
	 */
	IPage<MonitorEntryYearStatVO> selectMonitorEntryYearStatPage(IPage<MonitorEntryYearStatVO> page, MonitorEntryYearStatVO monitorEntryYearStat);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MonitorEntryYearStatExcel> exportMonitorEntryYearStat(Wrapper<MonitorEntryYearStatEntity> queryWrapper);

	void syncYearStatData(List<MonthEnergyDTO> monthEnergyDTOList);

	String getFirstMonth(String stationId);

	List<MonitorEntryYearStatEntity> listYearByEntry(String outStationId, Integer year);
}
