/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.nh.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.nh.pojo.dto.MonitorEntryStatDTO;
import org.springblade.modules.nh.pojo.entity.MonitorEntryStatEntity;
import org.springblade.modules.nh.pojo.vo.MonitorEntryStatVO;
import java.util.Objects;

/**
 * 外部电站同步 包装类,返回视图层所需的字段
 *
 * @author AlexWang
 * @since 2024-06-01
 */
public class MonitorEntryStatWrapper extends BaseEntityWrapper<MonitorEntryStatEntity, MonitorEntryStatVO>  {

	public static MonitorEntryStatWrapper build() {
		return new MonitorEntryStatWrapper();
 	}

	@Override
	public MonitorEntryStatVO entityVO(MonitorEntryStatEntity monitorEntryStat) {
		if(monitorEntryStat==null){
			return null;
		}
		MonitorEntryStatVO monitorEntryStatVO = Objects.requireNonNull(BeanUtil.copyProperties(monitorEntryStat, MonitorEntryStatVO.class));

		//User createUser = UserCache.getUser(monitorEntryStat.getCreateUser());
		//User updateUser = UserCache.getUser(monitorEntryStat.getUpdateUser());
		//monitorEntryStatVO.setCreateUserName(createUser.getName());
		//monitorEntryStatVO.setUpdateUserName(updateUser.getName());

		return monitorEntryStatVO;
	}

	public MonitorEntryStatDTO entityDTO(MonitorEntryStatEntity monitorEntryStat) {
		if(monitorEntryStat==null){
			return null;
		}
		MonitorEntryStatDTO dto = Objects.requireNonNull(BeanUtil.copyProperties(monitorEntryStat, MonitorEntryStatDTO.class));

		return dto;
	}


}
