/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.mapper;

import org.springblade.modules.operation.pojo.entity.PlatformEmployeeEntity;
import org.springblade.modules.operation.pojo.vo.EmpAuthVo;
import org.springblade.modules.operation.pojo.vo.PlatformEmployeeVO;
import org.springblade.modules.operation.excel.PlatformEmployeeExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 平台员工权限表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-06-27
 */
public interface PlatformEmployeeMapper extends BaseMapper<PlatformEmployeeEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param platformEmployee
	 * @return
	 */
	List<PlatformEmployeeVO> selectPlatformEmployeePage(IPage page, PlatformEmployeeVO platformEmployee);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PlatformEmployeeExcel> exportPlatformEmployee(@Param("ew") Wrapper<PlatformEmployeeEntity> queryWrapper);

	EmpAuthVo findPlatEmpAuthByUserId(Long userId);

	List<String> findEmpUserId(String roleId,String province,String city,String siteId);
	List<String> getFitUserEmpId(@Param("userIds") String userIds,@Param("province") String province,@Param("city") String city,@Param("siteId") String siteId,@Param("ifOrder") String ifOrder);

}
