/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;


import java.io.Serializable;

import java.util.Date;

/**
 * 服务类型基础信息 实体类
 *
 * @author BladeX
 * @since 2024-06-17
 */
@Data
@TableName("sf_operation_service_type")
@Schema(description = "OperationServiceType对象")
public class OperationServiceTypeEntity  implements Serializable {

	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_ID
	)
	private Long id;
	/**
	 * 类型名称
	 */

	@Schema(description = "类型名称", requiredMode = Schema.RequiredMode.REQUIRED)
	private String name;

	@Schema(description = "代码值", requiredMode = Schema.RequiredMode.REQUIRED)
	private String code;

	@Schema(description = "资方id", requiredMode = Schema.RequiredMode.REQUIRED)
	private String partnerId;
	@Schema(description = "资方名称", requiredMode = Schema.RequiredMode.REQUIRED)
	private String partnerName;

	/**
	 * 排序
	 */
	@Schema(description = "排序")
	private Integer sort;


	private Date createTime;
	@Schema(description = "状态 0.正常 1.删除")
	private String status;

}
