/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.operation.pojo.entity.OperationSiteEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.math.BigDecimal;

/**
 * 网点基础信息表 视图实体类
 *
 * @author lzp
 * @since 2024-06-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OperationSiteVO extends OperationSiteEntity {
	@Serial
	private static final long serialVersionUID = 1L;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "员工数量")
	private Long amount;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "工程师数量")
	private Long empamount;
	@Schema(description = "登录账号")
	private String loginName;
	@Schema(description = "登录密码")
	private String password;
	@JsonSerialize(using = ToStringSerializer.class)
	@Schema(description = "结算数量")
	private Long orderSetCount;


}
