/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import jodd.util.StringUtil;
import org.apache.commons.lang.StringEscapeUtils;
import org.springblade.modules.operation.pojo.entity.PlatformAnnouncementEntity;
import org.springblade.modules.operation.pojo.vo.PlatformAnnouncementVO;
import org.springblade.modules.operation.mapper.PlatformAnnouncementMapper;
import org.springblade.modules.operation.service.IPlatformAnnouncementService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 平台通知公告表 服务实现类
 *
 * @author lzp
 * @since 2024-06-25
 */
@Service
public class PlatformAnnouncementServiceImpl extends ServiceImpl<PlatformAnnouncementMapper, PlatformAnnouncementEntity> implements IPlatformAnnouncementService {

	@Override
	public IPage<PlatformAnnouncementVO> selectPlatformAnnouncementPage(IPage<PlatformAnnouncementVO> page, PlatformAnnouncementVO platformAnnouncement) {
		List<PlatformAnnouncementVO> list=baseMapper.selectPlatformAnnouncementPage(page, platformAnnouncement);
		return page.setRecords(list);
	}

	@Override
	public List<PlatformAnnouncementVO> findAnnouncementList(IPage<PlatformAnnouncementVO> page,PlatformAnnouncementVO vo) {

		return baseMapper.findAnnouncementList(page,vo);
	}

	@Override
	public PlatformAnnouncementVO findAnnouncementDetail(PlatformAnnouncementVO plat) {
		return baseMapper.findAnnouncementDetail(plat);
	}


}
