/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.operation.pojo.entity.OperationServiceMeasuresEntity;
import org.springblade.modules.operation.pojo.vo.OperationServiceMeasuresVO;
import java.util.Objects;

/**
 * 服务措施表 包装类,返回视图层所需的字段
 *
 * @author lzp
 * @since 2024-06-18
 */
public class OperationServiceMeasuresWrapper extends BaseEntityWrapper<OperationServiceMeasuresEntity, OperationServiceMeasuresVO>  {

	public static OperationServiceMeasuresWrapper build() {
		return new OperationServiceMeasuresWrapper();
 	}

	@Override
	public OperationServiceMeasuresVO entityVO(OperationServiceMeasuresEntity operationServiceMeasures) {
		OperationServiceMeasuresVO operationServiceMeasuresVO = Objects.requireNonNull(BeanUtil.copyProperties(operationServiceMeasures, OperationServiceMeasuresVO.class));

		//User createUser = UserCache.getUser(operationServiceMeasures.getCreateUser());
		//User updateUser = UserCache.getUser(operationServiceMeasures.getUpdateUser());
		//operationServiceMeasuresVO.setCreateUserName(createUser.getName());
		//operationServiceMeasuresVO.setUpdateUserName(updateUser.getName());

		return operationServiceMeasuresVO;
	}


}
