/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.operation.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.operation.pojo.entity.PlatformAnnouncementEntity;
import org.springblade.modules.operation.pojo.vo.PlatformAnnouncementVO;
import java.util.Objects;

/**
 * 平台通知公告表 包装类,返回视图层所需的字段
 *
 * @author lzp
 * @since 2024-06-25
 */
public class PlatformAnnouncementWrapper extends BaseEntityWrapper<PlatformAnnouncementEntity, PlatformAnnouncementVO>  {

	public static PlatformAnnouncementWrapper build() {
		return new PlatformAnnouncementWrapper();
 	}

	@Override
	public PlatformAnnouncementVO entityVO(PlatformAnnouncementEntity platformAnnouncement) {
		PlatformAnnouncementVO platformAnnouncementVO = Objects.requireNonNull(BeanUtil.copyProperties(platformAnnouncement, PlatformAnnouncementVO.class));

		//User createUser = UserCache.getUser(platformAnnouncement.getCreateUser());
		//User updateUser = UserCache.getUser(platformAnnouncement.getUpdateUser());
		//platformAnnouncementVO.setCreateUserName(createUser.getName());
		//platformAnnouncementVO.setUpdateUserName(updateUser.getName());

		return platformAnnouncementVO;
	}


}
