package org.springblade.modules.order.constant;

/**
 * @author hongzq
 */
public class DeliverOrderConstants {

    /**
     * 类型 发货单
     */
    public static final String TYPE_FH = "1";

    /**
     * 类型 补库单
     */
    public static final String TYPE_BK = "2";

    /**
     * 已删除
     */
    public static final String DELETED = "0";

    /**
     * 待发货
     */
    public static final String WAIT_DELIVER = "1";

    /**
     * 待入库
     */
    public static final String WAIT_IN_STOCK = "2";

    /**
     * 已撤销
     */
    public static final String CANCELED = "3";

    /**
     * 仓库打回
     */
    public static final String WAREHOUSE_REFUSE = "4";

    /**
     * 待审核
     */
    public static final String WAIT_AUDIT = "5";

    /**
     * 审核未通过
     */
    public static final String AUDIT_FAIL = "6";

    /**
     * 已完成
     */
    public static final String COMPLETED = "7";

    /**
     * 部分入库
     */
    public static final String EIGTH = "8";

    /**
     * 删除
     */
    public static final short OPT_DELETE = 0;

    /**
     * 创建
     */
    public static final short OPT_CREATE = 1;

    /**
     * 编辑
     */
    public static final short OPT_EDIT = 2;

    /**
     * 撤销
     */
    public static final short OPT_CANCEL = 3;

    /**
     * 改派
     */
    public static final short OPT_CHANGE = 4;

    /**
     * 拆单
     */
    public static final short OPT_SPLIT = 5;

    /**
     * 发货
     */
    public static final short OPT_FH = 6;

    /**
     * 仓库打回
     */
    public static final short OPT_DH = 7;

    /**
     * 入库
     */
    public static final short OPT_RK = 8;

    /**
     * 审核未通过
     */
    public static final short OPT_AUDIT_FAIL = 9;

    /**
     * 审核通过
     */
    public static final short OPT_AUDIT_APPROVE =10;

    /**
     * 操作类型 合并
     */
    public static final short OPT_MERGE = 11;

    //分配
    public static final short OPT_DIS = 12;

    //拒发货
    public static final short OPT_REFUSE = 13;

    //驳回
    public static final short OPT_BH = 16;
    //
    /**
     * 发货单审核未通过
     */
    public static final short  FHD_SH_TG= 14;

    /**
     * 发货单审核通过
     */
    public static final short  FHD_SH_NOT=15;


    /**
     * 订单状态 0.已删除 1.待审批 2.采购分配 3.分配打回 4.采购审批 5.待发货 6.待签收 7.已完成 8.已并单 9.发货打回 10.暂存 a.发货审核不通过 b.拒发货 c.已拆单
     */
    public static final String STATUS_DELETED = "0";
    public static final String STATUS_WAIT_AUDIT = "1";
    public static final String STATUS_PROCUREMENT_ALLOCATION = "2";
    public static final String STATUS_ALLOCATION_REJECT = "3";
    public static final String STATUS_PROCUREMENT_APPROVAL = "4";
    public static final String STATUS_WAIT_DELIVER = "5";
    public static final String STATUS_WAIT_SIGN_IN = "6";
    public static final String STATUS_COMPLETED = "7";
    public static final String STATUS_MERGED = "8";
    public static final String STATUS_DELIVER_REJECT = "9";

    public static final String STATUS_TEMPLE_SAVE = "10";
    public static final String STATUS_SPLIT = "a";
    public static final String STATUS_REFUSE = "b";
    public static final String STATUS_SPLIT2 = "c";

    public static final String STATUS_SAPZC = "d";

    /**
     * 订单来源 1.项目订单(从项目管理下批量下单的订单) 2.自主下单(代理商自主下单的订单) 3.平台采购(平台创建的采购订单，订单前缀CG) 4.合并发货(项目订单、自主下单的两单合并后的订单)
     */
    public static final String TYPE_PROJECT = "1";
    public static final String TYPE_AUTONOMOUS = "2";
    public static final String TYPE_PURCHASE = "3";
    public static final String TYPE_MERGED = "4";

    public static final String EXAMINE_STATUS_ONE = "1";
    public static final String EXAMINE_STATUS_TWO = "2";
    public static final String EXAMINE_STATUS_THREE = "3";
    public static final String EXAMINE_STATUS_FIVE = "4";


    /**
     * 订单类型  pattern
     * 订单类型 1.平台采购（供应链创建的采购单，即仓库采购单） 2.供应商直发（订单分配由供应商直发给代理商的订单）3.平台发货（订单分配由供应链发货的订单）
     */
    public static final String PATTERN_PLAT_PURCHASE="1";
    public static final String PATTERN_SUPPLY="2";
    public static final String PATTERN_PLAT_DELIVER="3";

}
