/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;
import java.io.Serial;


/**
 * 服务商派工表 Excel实体类
 *
 * @author hx
 * @since 2024-06-21
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class OperationOrderSiteDispatchExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 关联工单id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联工单id")
	private String orderId;
	/**
	 * 服务商id
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务商id")
	private String siteId;
	/**
	 * 工程师id(多个逗号拼接)
	 */
	@ColumnWidth(20)
	@ExcelProperty("工程师id(多个逗号拼接)")
	private String employeId;
	/**
	 * 工程师姓名(多个逗号拼接)
	 */
	@ColumnWidth(20)
	@ExcelProperty("工程师姓名(多个逗号拼接)")
	private String employeName;
	/**
	 * 工单派工时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("工单派工时间")
	private Date dispatchTime;
	/**
	 * 对待接收的派工处理时间，接单为接单时间，拒单为拒单时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("对待接收的派工处理时间，接单为接单时间，拒单为拒单时间")
	private Date processTime;
	/**
	 * 工程师修改预约的操作时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("工程师修改预约的操作时间")
	private Date promiseTime;
	/**
	 * 服务完工时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务完工时间")
	private Date endTime;
	/**
	 * 上门服务时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("上门服务时间")
	private Date dropInTime;
	/**
	 * 创建人
	 */
	@ColumnWidth(20)
	@ExcelProperty("创建人")
	private String creator;

}
