/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.mapper;

import org.springblade.modules.operation.pojo.vo.EmpAuthVo;
import org.springblade.modules.order.pojo.entity.OperationOrderEntity;
import org.springblade.modules.order.pojo.entity.OperationOrderFeedbackEntity;
import org.springblade.modules.order.pojo.vo.*;
import org.springblade.modules.order.excel.OperationOrderExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 工单基础信息表 Mapper 接口
 *
 * @author lzp
 * @since 2024-06-18
 */
public interface OperationOrderMapper extends BaseMapper<OperationOrderEntity> {

	OperationOrderVO getOrderDetail(@Param("orderId") String orderId);

	OperationOrderFeedbackEntity getLatestByOrderId(@Param("orderId") String orderId);

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param order
	 * @return
	 */
	List<OperationOrderVO> selectOperationOrderPage(IPage page, @Param("order") OrderListConditionVo order);

	OrderHomeVo findOrderHomeIndex(@Param("order") OrderListConditionVo order);
	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<OperationOrderExcel> exportOperationOrder(@Param("order") Map<String,Object> queryWrapper);

	OrderHomeVo orderHomeIndex(String siteId,String empId);

    int changeDispatchOrderStatus(@Param("orderId") String orderId,@Param("userName") String userName,@Param("date") Date date);

	int changeSiteDispatchOrderStatus(@Param("orderId") String orderId,@Param("userName") String userName,@Param("date") Date date);

	EmpAuthVo findPlatEmpAuthByUserId(Long userId);

	List<OrderVo> findOrderList(IPage page);

	List<String> findOrderFeedImgs(String orderId);

	Long findRetunCountByOrderId(String entryId);

	Long coutNoFinishFittingApply(@Param("orderNumber") String orderNumber);

	OrderStaticVo homeOrderStatic(@Param("order") OrderListConditionVo order);

	OrderHomeVo pcOrderHomeIndex(@Param("order") OrderListConditionVo order);

}
