/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.order.pojo.entity.OperationOrderFeedbackEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.util.Date;

/**
 * 工单反馈表 视图实体类
 *
 * @author lzp
 * @since 2024-06-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OperationOrderFeedbackVO extends OperationOrderFeedbackEntity {
	@Serial
	private static final long serialVersionUID = 1L;

	@Schema(description = "设备品牌")
	private String applianceBrand;

	@Schema(description = "设备S/N")
	private String applianceBarcode;

	@Schema(description = "保修类型")
	private String warrantyType;

	@Schema(description = "投运时间",type = "date",format="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date putIntoTime;

	@Schema(description = "服务措施")
	private String serviceMeasures;
	@Schema(description = "服务类型")
	private String serviceType;
}
