/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.modules.order.pojo.entity.OperationOrderSettleEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 工单结算表 视图实体类
 *
 * @author BladeX
 * @since 2024-06-26
 */
@Data
public class OperationOrderSettleVO {

	@Schema(description = "id")
	private String id;
	/**
	 * 工单id
	 */
	@Schema(description = "工单id")
	private String orderId;
	/**
	 * 结算金额
	 */
	@Schema(description = "结算金额")
	private BigDecimal settleAmount;
	/**
	 * 结算备注
	 */
	@Schema(description = "结算备注")
	private String settleRemarks;
	/**
	 * 结算时间
	 */
	@Schema(description = "结算时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date settleTime;

	@Schema(description = "工单编号")
	private String orderNumber;

	@Schema(description = "电站编码")
	private String powerStationCode;

	@Schema(description = "运维服务商")
	private String siteName;

	@Schema(description = "工程师")
	private String employeName;


	@Schema(description = "服务类型")
	private String serviceType;


	@Schema(description = "服务措施")
	private String serviceMeasures;


	@Schema(description = "保修类型")
	private String warrantyType;


	@Schema(description = "设备品牌")
	private String applianceBrand;


	@Schema(description = "设备类型")
	private String applianceCategory;


	@Schema(description = "工单编号")
	private String appliance_model;

	@Schema(description = "故障描述")
	private String remarks;

	@Schema(description = "业主姓名")
	private String customerName;

	@Schema(description = "联系方式")
	private String customerMobile;

	@Schema(description = "安装地址")
	private String address;

}
