package org.springblade.modules.order.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class OrderListConditionVo {

	@Schema(description = "创建时间--开始")
	private String createTimeSta;

	@Schema(description = "创建时间--结束")
	private String createTimeEnd;

	@Schema(description = "派工时间--开始")
	private String dispatchTimeSta;

	@Schema(description = "派工时间--结束")
	private String dispatchTimeEnd;

	@Schema(description = "服务商派工时间--开始")
	private String siteDispatchTimeSta;

	@Schema(description = "服务商派工时间--结束")
	private String siteDispatchTimeEnd;

	private String orderType;


	@Schema(description = "完工时间--开始")
	private String endTimeSta;

	@Schema(description = "完工时间--结束")
	private String endTimeEnd;

	@Schema(description = "服务商id")
	private String siteId;

	private String number;

	private String powerStationCode;

	private String customerName;

	private String customerMobile;

	private String customerAddress;

	private String siteName;

	private String warrantyType;

	private String serviceMeasures;

	private String applianceCategory;

	private String employeId;

	private String employeName;

	private String serviceType;

	private String status;

	private String siteStatus;

	@Schema(description = "小程序查询条件（工单编号、手机号、业主姓名）")
	private String smallCondition;

	private String provinces;

	private String city;

	private String area;

	private String entryIds;

	private String siteIds;

	@Schema(description = "资方名称")
	private String capitalName;

	@Schema(description = "是否超期 1是 0否")
	private String ifOverDue;

	@Schema(description = "是否需要结算：1是 0否")
	private String ifSettle;


	@Schema(description = "预警工单 1是 0否")
	private String ifWarningOrder;


}
