/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.order.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.tool.api.R;
import org.springblade.modules.order.pojo.entity.OperationOrderEntity;
import org.springblade.modules.order.pojo.vo.*;
import org.springblade.modules.order.excel.OperationOrderExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 工单基础信息表 服务类
 *
 * @author lzp
 * @since 2024-06-18
 */
public interface IOperationOrderService extends IService<OperationOrderEntity> {


	OperationOrderVO findOrderDetail(String orderId);


	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param
	 * @return
	 */
	IPage<OperationOrderVO> selectOperationOrderPage(IPage<OperationOrderVO> page, OrderListConditionVo conditionVo);

	R saveOrder(OperationOrderEntity operationOrder);


	boolean updateOrder(OperationOrderEntity operationOrder);

	/**
	 * 导出数据
	 *
	 * @param operationOrder
	 * @return
	 */
	List<OperationOrderExcel> exportOperationOrder( Map<String, Object> operationOrder);

	boolean deleteLogic(String id,String status, String disableResource);

	OrderHomeVo orderHomeIndex();

	boolean turnMainOrder(String id);

	boolean toExamineOrder(ExamineOrderVo exc );

	OrderStaticVo homeOrderStatic();

	OrderHomeVo pcOrderHomeIndex();

	List<OperationOrderEntity> findOrderListBySiteId(String code);
}
