/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.partner.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 合作商基础信息表 实体类
 *
 * @author lzp
 * @since 2024-06-18
 */
@Data
@TableName("sf_partner")
@Schema(description = "Partner对象")
public class PartnerEntity implements Serializable {


	@Schema(
		description = "主键id"
	)
	@TableId(
		value = "id",
		type = IdType.ASSIGN_UUID
	)
	private String id;

	/**
	 * 授权类型:1.接口授权 2.账号授权 3.无授权
	 */
	@Schema(description = "授权类型:1.接口授权 2.账号授权 3.无授权")
	private String authType;
	/**
	 * 对应user表记录id
	 */
	@Schema(description = "对应user表记录id")
	private String userId;
	/**
	 * 资方名称
	 */
	@Schema(description = "资方名称")
	private String name;
	/**
	 * 联系电话
	 */
	@Schema(description = "联系电话")
	private String mobile;
	/**
	 * 负责人
	 */
	@Schema(description = "负责人")
	private String personInCharge;
	/**
	 * 省
	 */
	@Schema(description = "省")
	private String province;
	/**
	 * 市
	 */
	@Schema(description = "市")
	private String city;
	/**
	 * 区县
	 */
	@Schema(description = "区县")
	private String area;
	/**
	 * 详细地址
	 */
	@Schema(description = "详细地址")
	private String address;
	/**
	 * 合作商logo
	 */
	@Schema(description = "合作商logo")
	private String logo;
	/**
	 * 授权项目
	 */
	@Schema(description = "授权项目")
	private String authorizedId;
	/**
	 * 创建人user_id
	 */
	@Schema(description = "创建人user_id")
	private String createBy;
	/**
	 * 创建人
	 */
	@Schema(description = "创建人")
	private String creator;
	/**
	 * 更新人user_id
	 */
	@Schema(description = "更新人user_id")
	private String updateBy;
	/**
	 * 更新人
	 */
	@Schema(description = "更新人")
	private String updateName;
	/**
	 * 营业执照
	 */
	@Schema(description = "营业执照")
	private String certificationImg;
	/**
	 * 统一信用代码
	 */
	@Schema(description = "统一信用代码")
	private String unifiedCreditCode;
	/**
	 * 营业执照文件名（包含后缀）。
	 */
	@Schema(description = "营业执照文件名（包含后缀）。")
	private String certificationImgName;
	/**
	 * 是否开启超龄：1.开启 2.关闭
	 */
	@Schema(description = "是否开启超龄：1.开启 2.关闭")
	private String overageFlag;
	/**
	 * 是否开通二类卡：1.是 0.否
	 */
	@Schema(description = "是否开通二类卡：1.是 0.否")
	private String isOpenBankCard;

}
